<?php
session_start(); 

	if(!isset($_SESSION['linkarisecrm']))
	{
		header('Location: index.php');
		return;
	}
		$brmid=$_SESSION['linkarisebranchid'];
		$cmpmid=$_SESSION['linkarisecmpmid'];
		$lacrmusername = $_SESSION['linkariseuname'];
		$lacrmumid=$_SESSION['umid'];

	
	include("connect.php");
	include("removespecial.php");
	
	date_default_timezone_set("Asia/Kolkata");
	$mdate1= date('Y-m-d H:i:s');
	$mdate2= date('d-m-Y');
	$mdate3= date('Y-m-d H:i:s');
	
	
	$ipaddress = "";

	if (getenv('HTTP_CLIENT_IP'))
		$ipaddress = getenv('HTTP_CLIENT_IP');
	else if(getenv('HTTP_X_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_X_FORWARDED_FOR');
	else if(getenv('HTTP_X_FORWARDED'))
		$ipaddress = getenv('HTTP_X_FORWARDED');
	else if(getenv('HTTP_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_FORWARDED_FOR');
	else if(getenv('HTTP_FORWARDED'))
		$ipaddress = getenv('HTTP_FORWARDED');
	else if(getenv('REMOTE_ADDR'))
		$ipaddress = getenv('REMOTE_ADDR');
	else
		$ipaddress = 'UNKNOWN';
	
	$userserver=$_SERVER['HTTP_USER_AGENT'];
	$eve1 = "insert into res_user_log (lid,mobile,lastupdatedtime,pagename,taskname,ipaddress,useragentdetail) values(NULL,'$lacrmusername','$mdate1','Expense','Edit Expense','$ipaddress','$userserver')";
	$re1 = mysqli_query($conn, $eve1);


	$expensemmid=$_POST['expensemmid'];
	$expensetype=$_POST['expensetype'];
	$expenseremark=removespecialchar($_POST['paddress']);
	$expenseamount=$_POST['expenseamount'];
	$paymentmode=$_POST['paymentmode'];
	$paymentdetail=removespecialchar($_POST['paymentdetail']);
	
	
		
	if($expenseamount!=0)
	{
		 $query = "update res_expense_detail set expensetype='$expensetype', expenseremark='$expenseremark', expensedate='$mdate2', expenseamount='$expenseamount', paymentmode='$paymentmode', paymentdetail='$paymentdetail',updatedby='$lacrmumid',updatedon='$mdate1' where expensemmid=$expensemmid";
		if ($conn->query($query) === TRUE)
		{
		 $eve41 ="update res_paymenttransaction_detail set partymid='$expensetype',cmpmid='$cmpmid',paymenttype='Expense',paymentdate='$mdate2',paymentoutamount='$expenseamount',paymentmode='$paymentmode',paymentdetail='$paymentdetail',updatedby='$lacrmumid',updatedon='$mdate1' where Paymentrefid=$expensemmid";
			$re41 = mysqli_query($conn, $eve41); 
			
		}
			
		$_SESSION['msg'] = "Record has been updated successfully";	
	}
	else
	{
		$_SESSION['msg1'] = "Error";
	}
	header('Location: expensemanagement.php');
?>